Bug 1477710 - RFE: Need AWS Owner information inside of CloudForms
RFE: Need AWS Owner information inside of CloudForms
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
All All
unspecified Severity high
: GA
: cfme-future
Assigned To: bascar
Matouš Mojžíš
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2017-08-02 12:40 EDT by Kevin Morey
Modified: 2018-03-02 01:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: AWS

Attachments (Terms of Use)
screenshot (105.15 KB, image/png)
2017-08-02 12:40 EDT, Kevin Morey
no flags Details

  None (edit)
Description Kevin Morey 2017-08-02 12:40:14 EDT
Created attachment 1308379 [details]

Description of problem:
As a cloud administrator i need to track which AWS accounts owns a particular resource. For example, there is an Owner field that displays the AWS user who owns the resource. This would greatly help us to discover brownfield AWS environments and be able to provide tagging capabilities.

Version-Release number of selected component (if applicable):

Additional info:
See screenshot.
Comment 2 Bronagh Sorota 2017-08-10 10:00:23 EDT
HI Brad,
We can get an owner ID from the AWS API, then we would look up the account owner using that owner ID. this RFE requires us to gather IAM accounts. Sending this your way for evaluation.


Note You need to log in before you can comment on or make changes to this bug.